SET ECHO ON
SPOOL xakza24746.lst

-- Akzo geeft geslacht aan met '*' (vrouw, vs geen '*' voor man)
-- Aan de hand daarvan Facilitor's 'geslachtveld' vullen en dan de '*' weghalen.
-- Pseudo-personen (met '[...]') hebben geen geslacht
UPDATE prs_perslid
   SET prs_perslid_geslacht =
          DECODE (SUBSTR (TRIM (TRAILING ' ' FROM prs_perslid_naam), -1),
                  ']', NULL,
                  '*', 0,
                  1),
       prs_perslid_naam =
          TRIM (TRAILING ' ' FROM
             TRIM (TRAILING '*' FROM
                TRIM ( TRAILING ' ' FROM prs_perslid_naam) ) );

-- En als we toch bezig zijn: die pseudo-personen hoeven we niet in het smoelenboek
UPDATE prs_perslid
   SET prs_perslid_ingids = NULL
 WHERE SUBSTR (prs_perslid_naam, -1) = ']';

BEGIN adm.systrackscript('$Workfile: akza#24746.sql $', '$Revision$', 0); END;
/

COMMIT;

SPOOL OFF

SET ECHO OFF

